Subject: AIList Digest V5 #73

From: vtcs1::in% <[email-masked]>
Date: Tue, 10 Mar 87 00:48:14 est

AIList Digest             Monday, 9 Mar 1987       Volume 5 : Issue 73

Today's Topics:
  Administrivia - AI Hardware & Related Lists,
  Games - Computer Chess Article in March 6 New Yorker,
  Conferences - Volunteers for AAAI-87 &
   ACL Europe Copenhagen Conference &
   European Conference on Object-Oriented Programming 1987

----------------------------------------------------------------------

Date: Sat, 7 Mar 87 13:12:24 est
From: Arun Welch <[email-masked]>
Subject: Re: Policy - AI Hardware

About 6 months ago, I offered to moderate a list for discussing AI
hardware, and asked that people who would be interested in such a
list send me their names and email addresses.  I got all of 5 responses.
It didn't seem to me to be worth starting up a list for that small
an audience...  The offer still stands, I guess, though I doubt if
I'm going to get more response....

...arun

----------------------------------------------------------------------------
Arun Welch
Lab for AI Research, Ohio State University
{ihnp4,cbosgd}!osu-eddie!welch
welch@ohio-state.{CSNET,ARPA}
[email-masked]  (a guest account, but mail gets to me eventually)

------------------------------

Date: Sun 8 Mar 87 20:56:40-PST
From: Ken Laws <[email-masked]>
Reply-to: [email-masked]
Subject: Related Lists

John Snyder has asked that I publish a list of AI-related discussion
lists.  The following is taken from the welcome message that I
send to new AIList subscribers.  I don't have a corresponding list
of Usenet interest groups.

  Logic programming, theorem proving    [email-masked]
  AI in education, user modeling        AI-ED@SUMEX-AIM
  Natural language, representation      NL-KR@ROCHESTER
  Information retrieval                 IRLIST%VPI.CSNET@CSNET-RELAY
  Philosophy                            [email-masked]
  Psychology                            EPSYNET%UHUPVM1.BITNET@WISCVM
  Neural networks                       neuron%ti-csl.csnet@CSNET-RELAY
  Vision algorithms, perception         VISION-LIST@ADS
  Color and vision research             [email-masked]
  Programming languages, interfaces     SOFT-ENG@MIT-XX
  Common Lisp                           COMMON-LISP@SU-AI
  Common Lisp windows                   [email-masked]
  X windows                             [email-masked]
  Scheme (a Lisp dialect)               [email-masked]
  XLisp                                 [email-masked]
  Workstations                          WORKS@RUTGERS
  Symbolics products                    SLUG@UTEXAS-20
  Xerox Lisp machines, Interlisp        INFO-1100@SUMEX-AIM
                                        BUG-1100@SUMEX-AIM
  Texas Instruments workstations        INFO-TI-EXPLORER@SUMEX-AIM
                                        BUG-TI-EXPLORER@SUMEX-AIM
  Parallel symbolic computing           PARSYM@SUMEX-AIM
  Symbolic math                         NET.MATH.SYMBOLIC (USENET)
  Arpanet list policy                   [email-masked]

The list moderator can usually be reached by appending -REQUEST to the
list name.  For a full list of lists and their moderators contact
Zellich@SRI-NIC.

                                        -- Ken Laws

------------------------------

Date: 07-Mar-1987 1749
From: [email-masked]  (Martin Minow THUNDR::MINOW
      ML3-5/U26 223-9922)
Subject: Computer Chess article in March 6 New Yorkr

An interesting article in the current (on newstands till next Tuesday
or so) New Yorker on the Fifth World Computer Chess Championship interviews
many of the participants (Hans Berliner and Ken Thompson, for example)
and touches on many of the "intelligence" and "conscious" issues.

The article was written by Brad Leithauser.

Martin Minow
[email-masked]

------------------------------

Date: Sat, 7 Mar 87 12:32:13 PST
From: [email-masked]
Reply-to: [email-masked] (Richard Feifer)
Subject: Conference - Volunteers for AAAI-87

ANNOUNCEMENT:
Student Volunteers Needed for
Artificial Intelligence Conference
AAAI-87

AAAI-87 (American Association on Artificial Intelligence) will
be held July 13-17, 1987 in beautiful Seattle, Washington.
Student volunteers are needed to help with local arrangements
and staffing of the conference.  To be eligible for a Volunteer
position, an individual must be an undergraduate or graduate
student in any field at any college or university.

This is an excellent opportunity for students to participate in
the conference.   Volunteers receive FREE registration at AAAI-87,
conference proceedings, "STAFF" T-shirt, and are invited to the
volunteer party. More importantly, by participating as a volunteer,
you become more involved and meet students and researchers with
similar interests.

Volunteer responsibilities are varied, including conference
preparation, registration, staffing of sessions and tutorials
and organizational tasks.  Each volunteer will be assigned
twelve (12) hours.

If you are interested in participating in AAAI-87 as a Student
Volunteer, apply by sending the following information:

Name
Electronic Mail Address
USMail Address
Telephone Number(s)
Dates Available
Student Affiliation
Advisor's Name

to:

[email-masked]

 or

Richard Feifer
UCLA
Center for the Study of Evaluation
145 Moore Hall
Los Angeles, California  90024

Thanks, and I hope you join us this year!

Richard Feifer
Student Volunteer Coordinator
AAAI-87 Staff

------------------------------

Date: Sun, 8 Mar 87 18:04:03 est
From: [email-masked] (Don Walker)
Subject: Conference - ACL Europe Copenhagen Conference, 1-3 April 1987

      ASSOCIATION FOR COMPUTATIONAL LINGUISTICS: EUROPEAN CHAPTER
                 Third Conference and General Meeting
               April 1-3 1987, University of Copenhagen

Due to communication problems, the first registration circular announcing
the Conference did not get sent to most ACL members.  The attached
information contains the programme, which was just released, together
with information on registration (which because of the short time must
now be down at the meeting) and hotels.  For further information,
contact: Bente Maegaard (ACL)
         IAML
         Njalsgade 96
         DK-2300 Kobenhavn S, DENMARK
         45-1-542 211, x2478
         [email-masked]

The conference will be held at the University of Copenhagen (Amager),
Njalsgade 80, DK-2300 Copenhagen S, DENMARK, which is about 10 minutes
by bus from the center of the city.

REGISTRATION will take place on March 31 from 17 p.m. to 21 p.m., at
the Institute of Applied and Mathematical Linguistics (Institut for
Anvendt og Matematisk Lingvistik=IAML), University of Copenhagen/Amager,
room 6.3.65 (stairway 6, third floor, room 65).  The registration room
will be easily found if you enter the university by the main entrance
(Njalsgade 80) and follow the signs.  It will also be possible to
register on April 1st from 8.30 a.m. to 9.30 a.m. or, if necessary,
during the conference.

  [... I'll let the NL-KR list carry the full provisional programme and
  hotel details.  Or reply to the message author for a copy.  -- KIL]

------------------------------

Date: Tue, 3 Mar 87 12:51 N
From: [email-masked]
Subject: Conference - ECOOP 1987

Here is an Advance Program for the European Conference on Object Oriented
programming which was sent to me by Henry Lieberman ([email-masked]):

        Advance Program ECOOP'87
             June 15-17
                Paris
          Palais des Congres

            Monday, June 15
2pm-3pm
Invited Lecture
Adele Goldberg (Xerox PARC & ParcPlace Systems)

Session-1 METHODOLOGY Chairman: Luc Steels (Brussels University)
3:00-3:30
Delta Talk: An Empirical and Aesthetical Motivated Simplification
of the Smalltalk-80 Language.
Alan Borning (University of Washington) & Tim O'Shea (Xerox PARC)
3:30-4:00
Reversible Object-Oriented Interpreters
Henry Lieberman (MIT)

4:30-5:00
Using Types and Inheritance in Object-Oriented Languages
Daniel C. Halbert (DEC Hudson) & Patrick D. O'Brien (DEC Hudson)
5:00-5:30
Inheritance Mechanisms in Object-Oriented Concurrent Languages
Jean-Pierre Briot (TIT,LITP) & Akinori Yonezawa (TIT)
5:50-6:00
On Including Part Hierarchies in Object-Oriented Languages,
with an implementation in Smalltalk
Edwin Blake (Queen Mary College) & Steve Cook (Queen Mary College)

            Tuesday, June 16
9:00-10:00
What is Object Oriented Programming?
Bjarne Stroustrup (AT&T,Bell)

Session-2: IMPLEMENTATION Chairman: J.F. Perrot (University of Paris 6)
10:00-10:30
Object Representation of Scope During Translation
S. C. Dewhurst (AT&T)

11:00-11:30
Dynamic Grouping in an Object Oriented Virtual Memory Hierarchy
Ifor Williams, Mario Wolczko & Trevor Hopkins (University of Manchester)
11:30-12:00
Traveler: The Apiary Observatory
Carl Manning (MIT)

2:00-3:00
Strenghts and Weaknesses of Object Oriented Programming Paradigm
Carl Hewitt (MIT)

Session-3:  THEORY Chairman:  H. Stoyan (Konstanz University)
3:00-3:30
Classification of Actions or Inheritance also for methods
Bent Krinstensen (University of Alborg), Ole Madsen (University of Alborg),
Birger Moller-Pedersen (Norwegien Computing Center) & Kristen Nyggard
(University of Oslo)
3:30-4:00
Semantics of Smalltalk-80
Mario Wolczko (University of Manchester)

Session-4: INTERFACE Chairman: P. Greussay (University of Paris-8)
4:30-5:00
The Construction of User Interfaces and the Object Paradigm
Joelle Coutaz (IMAG)
5:00-5:30
The ZOO Metasystem: A Direct-Manipulation Interface to Object-Oriented
Knowledge Bases.
Wolf Riekert (University of Stuttgart)
5:30-6:00
The Filter Browser. Defining Interfaces Graphically
Raimund Ege (Oregon Graduate Center), David Maier (Oregon Graduate Center)
and Alan Borning (University of Washington)

            Wednesday, June 17

Session-5: DISCUSSION-PAPERS (9:00-10:00) see end of this message

Session-6: LANGUAGE IMPLEMENTATION Chairman: G. ATTARDI (DELPHI)
10:30-11:00
Concurrency Features for the Treillis/Owl Language
J. Moss & W. Kohler (University of Massachusetts)
11:00-11:30
Objects as Communicating Prolog units
Paola Mello & Antonio Natali (University of Bologna)
11:30-12:00
An Object Modeling Technique for Conceptual Design
M. Loomis, A. Shah & J. Rumbaugh (Calma Compagny)

2:00-3:00
Invited lecture
Kristen Nygaard (University of Oslo)

Session-7: SIMULATION Chairman: J. Vaucher (University of Montreal)
3:00-3:30
A Modeller's Workbench: Experiments in Object Oriented Simulation Programming
W. Kreutzer (University of Canterbury)
3:30-4:00
Behavioral Simulation Based On Knowledge Objects
Takeo Maruichi, Tesuya Uchiki and Mario Tokoro (Keio University)

Session-8: INHERITANCE Chairman: Peter Wegner (Brown University)
4:30-5:00
Conformance, Genericity, Inheritance and Enhancement
Chris Horn (Trinity College Dublin)
5:00-5:30
Inheritance and Subtyping in a Parallel Object Oriented Language
Pierre America (Philips Research Lab)
5:30-6:00
On Some Algorithms for Multiple Inheritance In Object Oriented Programming
R. Ducourneau (SEMA-METRA) & M. Habib (LIB)

**************
Reserve Papers
**************
Principles for Programming Concurrent Object-Oriented Systems
Gul Agha (MIT)

FORK: A System for Object - and Rule - Oriented Programming
C. Beckstein, G. Goerz and M. Tielemann (University of Erlangen-Nurnberg)

Overview of a Parallel Object Oriented Language CLIX
Jin Hur and Kilnan Chon (Korea Advanced Institute of Science and Technology)

*******************************************
Discussions Papers
Wednesday, June 17
Chairman P. GLOES (University of Compiegne)
*******************************************

9:00-9:10
GALOPIN: un systeme oriente objet pour le demarrage automatique des
unites chimiques
R. Loubeyre (Rhone-Poulenc) & C. Melin (Universite de Compiegne)
9:10-9:20
Conception d'une base de connaissance orientee objet pour l'EAO
de la geometrie
Eugene Chouraqui & Carlo Inghilterra (CNRS Marseille)
9:20-9:30
Microprogramming in Object Oriented Style: An experience
with a Lisp co-processor
Jean-Jacques Codani & Louis Audoire (GIPSI-SM90 INRIA)
9:30-9:40
An Application of Object-Oriented Programming to Petri Net Models of
Discrete Event-Driven Simulation
Cydney Minkowitz and Peter Henderson (University of Stirling)
9:40-9:50
A Novel Rule Based Facility For Smalltalk
Wilf LaLonde (Carleton University - Canada)
9:50-10:00
Integrating Prolog in the Smalltalk/V Environment
Mike Teng (Digitalk Inc)

------------------------------

End of AIList Digest
********************